
function InspectorConfig_OnLoad()
	--InspectorConfig:Show();
end

function InspectorConfig_OnShow()
    InspectorConfig_AnimateCheckButtonText:SetText(" Animate");
    InspectorConfig_AnimateCheckButton:SetChecked(animateChecked);

    InspectorConfig_SpinCheckButtonText:SetText(" Spin");
    InspectorConfig_SpinCheckButton:SetChecked(spinChecked);

    InspectorConfig_InformationCheckButtonText:SetText(" Information");
    InspectorConfig_InformationCheckButton:SetChecked(informationChecked);

    InspectorConfig_BackgroundCheckButtonText:SetText(" Background");
    InspectorConfig_BackgroundCheckButton:SetChecked(backgroundChecked);

    InspectorConfig_InspectCheckButtonText:SetText(" Inspect");
    InspectorConfig_InspectCheckButton:SetChecked(inspectChecked);
end

----------------------------------
-- CheckButton: Animate
----------------------------------
function InspectorConfig_AnimateCheckButton_OnClick()
    if InspectorConfig_AnimateCheckButton:GetChecked() then
        animateChecked = true;
        Inspector_StartAnimation();
    else
        animateChecked = false;
        Inspector_StopAnimation();
    end

end

----------------------------------
-- CheckButton: Spin
----------------------------------
function InspectorConfig_SpinCheckButton_OnClick()
    if InspectorConfig_SpinCheckButton:GetChecked() then
        spinChecked = true;
        modelSpin = true;
    else
        spinChecked = false;
        modelSpin = false;
    end
end

----------------------------------
-- CheckButton: Information
----------------------------------
function InspectorConfig_InformationCheckButton_OnClick()
    if InspectorConfig_InformationCheckButton:GetChecked() then
        informationChecked = true;
        Inspector_ShowUnitInfo();
    else
        informationChecked = false;
        Inspector_HideUnitInfo();
    end
end

----------------------------------
-- CheckButton: Background
----------------------------------
function InspectorConfig_BackgroundCheckButton_OnClick()
    if InspectorConfig_BackgroundCheckButton:GetChecked() then
        backgroundChecked = true;
        Inspector_ShowBackground();
    else
        backgroundChecked = false;
        Inspector_HideBackground();
    end
end

----------------------------------
-- CheckButton: Inspect
----------------------------------
function InspectorConfig_InspectCheckButton_OnClick()
    if InspectorConfig_InspectCheckButton:GetChecked() then
        inspectChecked = true;
        BlizzardInspectUI_Show();
    else
        inspectChecked = false;
        BlizzardInspectUI_Hide();
    end
end

----------------------------------
-- Button: Close
----------------------------------
function InspectorConfig_CloseButton_OnClick()
    HideUIPanel(InspectorConfig);
end

function InspectorConfig_OnHide()
	Inspector_SaveVariables();
end

function InspectorConfig_OnMouseDown()

end

function InspectorConfig_OnMouseUp()

end
